# Uses of Class
net.shibboleth.idp.saml.authn.principal.AuthnContextDeclPrincipal

Packages that use AuthnContextDeclPrincipal
Package
Description
net.shibboleth.idp.saml.authn.principal
SAML-specific classes for integration with idp-authn-api packages.

## Uses of AuthnContextDeclPrincipal in net.shibboleth.idp.saml.authn.principal

Methods in net.shibboleth.idp.saml.authn.principal that return AuthnContextDeclPrincipal
Modifier and Type
Method
Description
`AuthnContextDeclPrincipal`
AuthnContextDeclPrincipal.`clone()`
Creates and returns a copy of this object.